edu.isi.pegasus.planner.selector

## Class TransformationSelector

- java.lang.Object
- - edu.isi.pegasus.planner.selector.TransformationSelector

Direct Known Subclasses:
  Installed, Random, RoundRobin, Staged, Submit

    public abstract class TransformationSelector
    extends java.lang.Object

### Field Summary

Fields
`protected LogManager` `mLogger`
`static java.lang.String` `PACKAGE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`TransformationSelector()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.util.List` `getTCEntry(java.util.List tcentries)` Takes a list of TransformationCatalogEntry objects and returns 1 or many TransformationCatalogEntry objects as a list depending on the type of selection algorithm.
`static TransformationSelector` `loadTXSelector(java.lang.String className)` Loads the implementing class corresponding to the mode specified by the user at runtime in the properties file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PACKAGE_NAME

    public static final java.lang.String PACKAGE_NAME

See Also:
  Constant Field Values

#### mLogger

    protected LogManager mLogger

### Constructor Detail

#### TransformationSelector

    public TransformationSelector()

### Method Detail

#### getTCEntry

    public abstract java.util.List getTCEntry(java.util.List tcentries)

Takes a list of TransformationCatalogEntry objects and returns 1 or many TransformationCatalogEntry objects as a list depending on the type of selection algorithm. The Random and RoundRobin implementation ensure that only one entry is returned and should be run last when chaining multiple selectors

Parameters:
  `tcentries` - List
Returns:
  List

#### loadTXSelector

    public static TransformationSelector loadTXSelector(java.lang.String className)
                                                 throws FactoryException

Loads the implementing class corresponding to the mode specified by the user at runtime in the properties file.

Parameters:
  `className` - String The name of the class that implements the mode. It is the name of the class, not the complete name with package. That is added by itself.
Returns:
  TransformationSelector
Throws:
  `FactoryException` - that nests any error that might occur during the instantiation of the implementation.